import axios from "axios"

function formatDet(data) {
    console.log
    let format = function (pid) {
        let arr = [];
        data.forEach(item => {
            if (item.pid == pid) {
                item.children = format(item.id);
                arr.push(item)
            }
        })
        return arr;
    }
    return format(0)
}
export default {
    namespaced: true,
    state: {
        department: [],
        quota1: [],
        quota2: []
    },
    mutations: {
        SET_DEPARTMENT(state, data) {
            state.department = data;
        },
        SET_QUOTAL1(state, data) {
            state.quota1 = data;
        },
        SET_QUOTAL2(state, data) {
            state.quota2 = data;
        }
    },
    actions: {
        getDepartment({ commit, state }, data) {
            return new Promise((resolve, reject) => {
                if (state.department.length > 0) {
                    resolve(state.department)
                    return;
                } else {
                    axios.get('dept/getDeptList/' + data).then(res => {
                        let data = res.data.data;
                        console.log(formatDet(data));
                        commit('SET_DEPARTMENT',formatDet(data));
                        return formatDet(data);
                    }).catch(()=>{
                        commit('SET_DEPARTMENT',[]);
                        return []
                    })
                }
            })
        },
        getQuota1List({ commit }, data) {
            return new Promise((resolve) => {
                axios.get('/quota/getQuota1List/' + data).then(res => {
                    let data = res.data.data;
                    commit('SET_QUOTAL1', data);
                    resolve(data)
                }).catch(() => {
                    commit('SET_QUOTAL1', [])
                    resolve([]);
                })
            })
        },
        getQuota2List({ commit }, data) {
            return new Promise((resolve) => {
                axios.get('/quota/getQuota2List/' + data).then(res => {
                    let data = res.data.data;
                    commit('SET_QUOTAL2', data);
                    resolve(data)
                }).catch(() => {
                    commit('SET_QUOTAL2', [])
                    resolve([]);
                })
            })
        },
    },
}